Bug 426742 - nautilus-python doesn't work on x86_64
nautilus-python doesn't work on x86_64
Product: Fedora
Classification: Fedora
Component: nautilus-python (Show other bugs)
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Trond Danielsen
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-12-25 13:10 EST by Scott Tsai
Modified: 2009-01-09 00:37 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-01-09 00:37:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
a patched SRPM (320.99 KB, application/x-rpm)
2008-04-01 15:09 EDT, Garrett Mitchener
no flags Details

  None (edit)
Description Scott Tsai 2007-12-25 13:10:47 EST
Description of problem:
nautilus-python when used with python-2.5 doesn't work on x86_64.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Use an arch where sizeof(ssize_t) != sizeof(int), like x86_64.
2. Try running any of the nautilus-python-devel examples

Actual results:
The nautilus extensions written in python are not actually loaded.
You can't find any of the additional context menu items etc.

Expected results:
The extensions actually get loaded.

Additional info:
see upstream 505594 with patch:
Comment 1 Trond Danielsen 2007-12-29 17:54:36 EST
Thanks for the bug report. I will look into it asap.
Comment 2 Garrett Mitchener 2008-04-01 15:09:01 EDT
Created attachment 299946 [details]
a patched SRPM
Comment 3 Garrett Mitchener 2008-04-01 15:10:18 EDT
I just ran into this problem.  I got the SRPM from the Fedora 9 repository and
the problem does not seem to be fixed.  I just attached an SRPM that I made with
the patch posted here


This doesn't fix all of my problems with NautilusSVN (the nautilus-python
extension I want to use) but it does at least get it running.
Comment 4 Bug Zapper 2008-11-26 04:09:46 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 5 Bug Zapper 2009-01-09 00:37:03 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.